<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="../../">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Scenery &mdash; openPASS Documentation</title>
      <link rel="stylesheet" type="text/css" href="../../_static/pygments.css?v=b86133f3" />
      <link rel="stylesheet" type="text/css" href="../../_static/css/theme.css?v=19f00094" />
      <link rel="stylesheet" type="text/css" href="../../_static/css/custom.css?v=4ad39fc2" />

  
    <link rel="shortcut icon" href="../../_static/openPASS.ico"/>
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="../../_static/jquery.js?v=5d32c60e"></script>
        <script src="../../_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="../../_static/documentation_options.js?v=6efca38a"></script>
        <script src="../../_static/doctools.js?v=888ff710"></script>
        <script src="../../_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="SimulationConfig" href="simulationconfig.html" />
    <link rel="prev" title="Scenario API Support" href="scenario_api_support.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="../../index.html" class="icon icon-home">
            openPASS
              <img src="../../_static/openPASS.png" class="logo" alt="Logo"/>
          </a>
              <div class="version">
                1.2.0
              </div>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Installation Guide</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/10_getting_started.html">Getting Started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/15_system_requirements.html">System Requirements</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/20_install_prerequisites.html">Installing Prerequisites</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/30_install_openpass.html">Installing openPASS</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/50_further_guidance.html">Further Guidance</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/60_conan.html">Building with Conan</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">User Guides</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../10_overview.html">Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="../20_tutorials.html">Tutorials</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../30_configs_in_depth.html">Configs in Depth</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="profilescatalog.html">ProfilesCatalog</a></li>
<li class="toctree-l2"><a class="reference internal" href="scenario.html">Scenario</a></li>
<li class="toctree-l2"><a class="reference internal" href="scenario_api_support.html">Scenario API Support</a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#">Scenery</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#restrictions">Restrictions</a></li>
<li class="toctree-l3"><a class="reference internal" href="#full-example">Full Example</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="simulationconfig.html">SimulationConfig</a></li>
<li class="toctree-l2"><a class="reference internal" href="staticsystemconfig.html">Static SystemConfig</a></li>
<li class="toctree-l2"><a class="reference internal" href="systemconfigblueprint.html">SystemConfigBlueprint</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../40_outputs_in_depth.html">Outputs in Depth</a></li>
<li class="toctree-l1"><a class="reference internal" href="../50_scenario_simulation.html">Simulator</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Advanced topics</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../advanced_topics/20_simulator_advanced.html">Simulator</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../advanced_topics/30_testing.html">EndToEnd Test Framework</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Developer Information</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../developer_information/10_ide_support.html">IDE Support</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../developer_information/20_documentation.html">Documentation Concept</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../developer_information/30_coding_conventions.html">Coding Guidelines</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Other Information</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../other_information/10_external_dependencies.html">External Dependencies</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../other_information/20_glossary.html">Glossary</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../other_information/30_gui_plugins.html">GUI Plugins</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../other_information/40_license.html">License</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">openPASS</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="../30_configs_in_depth.html">Configs in Depth</a></li>
      <li class="breadcrumb-item active">Scenery</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../_sources/user_guide/configs/scenery.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="scenery">
<span id="id1"></span><h1>Scenery<a class="headerlink" href="#scenery" title="Link to this heading"></a></h1>
<p>This file describes the road network and all static objects of the road for the simulation run.
It is structured according to the <strong>ASAM OpenDRIVE 1.6</strong> standard.</p>
<p>The file name can be freely chosen, but needs to be properly referenced by the <a class="reference internal" href="scenario.html#scenario"><span class="std std-ref">Scenario</span></a> within the tag <a class="reference internal" href="scenario.html#scenario-roadnetwork"><span class="std std-ref">RoadNetwork</span></a>.</p>
<section id="restrictions">
<h2>Restrictions<a class="headerlink" href="#restrictions" title="Link to this heading"></a></h2>
<p>If object definitions does not meet the <a class="reference external" href="https://www.asam.net/standards/detail/opendrive/">OpenDRIVE</a> or are not supported, the simulation is aborted.
On top <strong>openPASS</strong> adds some additional requirements to the attributes of objects:</p>
<ul class="simple">
<li><p>length &gt; 0</p></li>
<li><p>width &gt; 0</p></li>
<li><p>radius == 0</p></li>
</ul>
<p>Objects, which do no meet these requirements are ignored.</p>
</section>
<section id="full-example">
<h2>Full Example<a class="headerlink" href="#full-example" title="Link to this heading"></a></h2>
<div class="literal-block-wrapper docutils container" id="id2">
<div class="code-block-caption"><span class="caption-text">SceneryConfiguration.xodr</span><a class="headerlink" href="#id2" title="Link to this code"></a></div>
<div class="highlight-xml notranslate"><div class="highlight"><pre><span></span><span class="linenos"> 1</span><span class="nt">&lt;OpenDRIVE&gt;</span>
<span class="linenos"> 2</span><span class="w">  </span><span class="nt">&lt;header</span><span class="w"> </span><span class="na">revMajor=</span><span class="s">&quot;1&quot;</span><span class="w"> </span><span class="na">revMinor=</span><span class="s">&quot;1&quot;</span><span class="w"> </span><span class="na">name=</span><span class="s">&quot;Testfile&quot;</span><span class="w"> </span><span class="na">version=</span><span class="s">&quot;1&quot;</span><span class="w"> </span><span class="na">date=</span><span class="s">&quot;Thu Feb 8 14:24:06 2007&quot;</span><span class="w"> </span><span class="na">north=</span><span class="s">&quot;2.0000000000000000e+003&quot;</span><span class="w"> </span><span class="na">south=</span><span class="s">&quot;-2.0000000000000000e+003&quot;</span><span class="w"> </span><span class="na">east=</span><span class="s">&quot;2.0000000000000000e+003&quot;</span><span class="w"> </span><span class="na">west=</span><span class="s">&quot;-2.0000000000000000e+003&quot;</span><span class="nt">/&gt;</span>
<span class="linenos"> 3</span><span class="w">  </span><span class="nt">&lt;road</span><span class="w"> </span><span class="na">name=</span><span class="s">&quot;&quot;</span><span class="w"> </span><span class="na">length=</span><span class="s">&quot;5139.7188686309819&quot;</span><span class="w"> </span><span class="na">id=</span><span class="s">&quot;1&quot;</span><span class="w"> </span><span class="na">junction=</span><span class="s">&quot;-1&quot;</span><span class="nt">&gt;</span>
<span class="linenos"> 4</span><span class="w">    </span><span class="nt">&lt;link/&gt;</span>
<span class="linenos"> 5</span><span class="w">    </span><span class="nt">&lt;planView&gt;</span>
<span class="linenos"> 6</span><span class="w">      </span><span class="nt">&lt;geometry</span><span class="w"> </span><span class="na">s=</span><span class="s">&quot;0.0000000000000000e+000&quot;</span><span class="w"> </span><span class="na">x=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">y=</span><span class="s">&quot;7.5&quot;</span><span class="w"> </span><span class="na">hdg=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">length=</span><span class="s">&quot;4000&quot;</span><span class="nt">&gt;</span>
<span class="linenos"> 7</span><span class="w">        </span><span class="nt">&lt;line/&gt;</span>
<span class="linenos"> 8</span><span class="w">      </span><span class="nt">&lt;/geometry&gt;</span>
<span class="linenos"> 9</span><span class="w">      </span><span class="nt">&lt;geometry</span><span class="w"> </span><span class="na">s=</span><span class="s">&quot;4000&quot;</span><span class="w"> </span><span class="na">x=</span><span class="s">&quot;4000&quot;</span><span class="w"> </span><span class="na">y=</span><span class="s">&quot;7.5&quot;</span><span class="w"> </span><span class="na">hdg=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">length=</span><span class="s">&quot;285&quot;</span><span class="nt">&gt;</span>
<span class="linenos">10</span><span class="w">        </span><span class="nt">&lt;spiral</span><span class="w"> </span><span class="na">curvStart=</span><span class="s">&quot;0.0000000000000000e+000&quot;</span><span class="w"> </span><span class="na">curvEnd=</span><span class="s">&quot;-0.0028500000000000066&quot;</span><span class="nt">/&gt;</span>
<span class="linenos">11</span><span class="w">      </span><span class="nt">&lt;/geometry&gt;</span>
<span class="linenos">12</span><span class="w">      </span><span class="nt">&lt;geometry</span><span class="w"> </span><span class="na">s=</span><span class="s">&quot;4285&quot;</span><span class="w"> </span><span class="na">x=</span><span class="s">&quot;4280.3350391612494&quot;</span><span class="w"> </span><span class="na">y=</span><span class="s">&quot;-30.629710830536482&quot;</span><span class="w"> </span><span class="na">hdg=</span><span class="s">&quot;-0.40612500000000096&quot;</span><span class="w"> </span><span class="na">length=</span><span class="s">&quot;183.7188686309816&quot;</span><span class="nt">&gt;</span>
<span class="linenos">13</span><span class="w">        </span><span class="nt">&lt;arc</span><span class="w"> </span><span class="na">curvature=</span><span class="s">&quot;-0.0028500000000000066&quot;</span><span class="nt">/&gt;</span>
<span class="linenos">14</span><span class="w">      </span><span class="nt">&lt;/geometry&gt;</span>
<span class="linenos">15</span><span class="w">      </span><span class="nt">&lt;geometry</span><span class="w"> </span><span class="na">s=</span><span class="s">&quot;4468.7188686309819&quot;</span><span class="w"> </span><span class="na">x=</span><span class="s">&quot;4422.9323279193268&quot;</span><span class="w"> </span><span class="na">y=</span><span class="s">&quot;-143.12204699500415&quot;</span><span class="w"> </span><span class="na">hdg=</span><span class="s">&quot;-0.92972377559829977&quot;</span><span class="w"> </span><span class="na">length=</span><span class="s">&quot;571&quot;</span><span class="nt">&gt;</span>
<span class="linenos">16</span><span class="w">        </span><span class="nt">&lt;spiral</span><span class="w"> </span><span class="na">curvStart=</span><span class="s">&quot;-0.0028500000000000066&quot;</span><span class="w"> </span><span class="na">curvEnd=</span><span class="s">&quot;0.0000000000000000e+000&quot;</span><span class="nt">/&gt;</span>
<span class="linenos">17</span><span class="w">      </span><span class="nt">&lt;/geometry&gt;</span>
<span class="linenos">18</span><span class="w">      </span><span class="nt">&lt;geometry</span><span class="w"> </span><span class="na">s=</span><span class="s">&quot;5039.7188686309819&quot;</span><span class="w"> </span><span class="na">x=</span><span class="s">&quot;4476.6651848689908&quot;</span><span class="w"> </span><span class="na">y=</span><span class="s">&quot;-694.88624436808436&quot;</span><span class="w"> </span><span class="na">hdg=</span><span class="s">&quot;-1.7453292519943295&quot;</span><span class="w"> </span><span class="na">length=</span><span class="s">&quot;100&quot;</span><span class="nt">&gt;</span>
<span class="linenos">19</span><span class="w">        </span><span class="nt">&lt;line/&gt;</span>
<span class="linenos">20</span><span class="w">      </span><span class="nt">&lt;/geometry&gt;</span>
<span class="linenos">21</span><span class="w">    </span><span class="nt">&lt;/planView&gt;</span>
<span class="linenos">22</span><span class="w">    </span><span class="nt">&lt;elevationProfile/&gt;</span>
<span class="linenos">23</span><span class="w">    </span><span class="nt">&lt;lateralProfile/&gt;</span>
<span class="linenos">24</span><span class="w">    </span><span class="nt">&lt;lanes&gt;</span>
<span class="linenos">25</span><span class="w">      </span><span class="nt">&lt;laneSection</span><span class="w"> </span><span class="na">s=</span><span class="s">&quot;0.0000000000000000e+000&quot;</span><span class="nt">&gt;</span>
<span class="linenos">26</span><span class="w">        </span><span class="nt">&lt;left/&gt;</span>
<span class="linenos">27</span><span class="w">        </span><span class="nt">&lt;center&gt;</span>
<span class="linenos">28</span><span class="w">          </span><span class="nt">&lt;lane</span><span class="w"> </span><span class="na">id=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">type=</span><span class="s">&quot;border&quot;</span><span class="w"> </span><span class="na">level=</span><span class="s">&quot;true&quot;</span><span class="nt">&gt;</span>
<span class="linenos">29</span><span class="w">            </span><span class="nt">&lt;link&gt;</span>
<span class="linenos">30</span><span class="w">              </span><span class="nt">&lt;successor</span><span class="w"> </span><span class="na">id=</span><span class="s">&quot;0&quot;</span><span class="nt">/&gt;</span>
<span class="linenos">31</span><span class="w">            </span><span class="nt">&lt;/link&gt;</span>
<span class="linenos">32</span><span class="w">            </span><span class="nt">&lt;roadMark</span><span class="w"> </span><span class="na">weight=</span><span class="s">&quot;standard&quot;</span><span class="w"> </span><span class="na">sOffset=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">type=</span><span class="s">&quot;solid&quot;</span><span class="w"> </span><span class="na">color=</span><span class="s">&quot;standard&quot;</span><span class="w"> </span><span class="na">width=</span><span class="s">&quot;0.12&quot;</span><span class="w"> </span><span class="na">laneChange=</span><span class="s">&quot;both&quot;</span><span class="nt">/&gt;</span>
<span class="linenos">33</span><span class="w">          </span><span class="nt">&lt;/lane&gt;</span>
<span class="linenos">34</span><span class="w">        </span><span class="nt">&lt;/center&gt;</span>
<span class="linenos">35</span><span class="w">        </span><span class="nt">&lt;right&gt;</span>
<span class="linenos">36</span><span class="w">          </span><span class="nt">&lt;lane</span><span class="w"> </span><span class="na">id=</span><span class="s">&quot;-1&quot;</span><span class="w"> </span><span class="na">type=</span><span class="s">&quot;driving&quot;</span><span class="w"> </span><span class="na">level=</span><span class="s">&quot;true&quot;</span><span class="nt">&gt;</span>
<span class="linenos">37</span><span class="w">        </span><span class="nt">&lt;link&gt;</span>
<span class="linenos">38</span><span class="w">        </span><span class="nt">&lt;successor</span><span class="w"> </span><span class="na">id=</span><span class="s">&quot;-1&quot;</span><span class="nt">/&gt;</span>
<span class="linenos">39</span><span class="w">        </span><span class="nt">&lt;/link&gt;</span>
<span class="linenos">40</span><span class="w">        </span><span class="nt">&lt;width</span><span class="w"> </span><span class="na">sOffset=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">a=</span><span class="s">&quot;3.75&quot;</span><span class="w"> </span><span class="na">b=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">c=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">d=</span><span class="s">&quot;0&quot;</span><span class="nt">/&gt;</span>
<span class="linenos">41</span><span class="w">        </span><span class="nt">&lt;roadMark</span><span class="w"> </span><span class="na">weight=</span><span class="s">&quot;standard&quot;</span><span class="w"> </span><span class="na">sOffset=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">type=</span><span class="s">&quot;broken&quot;</span><span class="w"> </span><span class="na">color=</span><span class="s">&quot;standard&quot;</span><span class="w"> </span><span class="na">width=</span><span class="s">&quot;0.12&quot;</span><span class="w"> </span><span class="na">laneChange=</span><span class="s">&quot;both&quot;</span><span class="nt">/&gt;</span>
<span class="linenos">42</span><span class="w">        </span><span class="nt">&lt;/lane&gt;</span>
<span class="linenos">43</span><span class="w">        </span><span class="nt">&lt;lane</span><span class="w"> </span><span class="na">id=</span><span class="s">&quot;-2&quot;</span><span class="w"> </span><span class="na">type=</span><span class="s">&quot;driving&quot;</span><span class="w"> </span><span class="na">level=</span><span class="s">&quot;true&quot;</span><span class="nt">&gt;</span>
<span class="linenos">44</span><span class="w">        </span><span class="nt">&lt;link&gt;</span>
<span class="linenos">45</span><span class="w">        </span><span class="nt">&lt;successor</span><span class="w"> </span><span class="na">id=</span><span class="s">&quot;-2&quot;</span><span class="nt">/&gt;</span>
<span class="linenos">46</span><span class="w">        </span><span class="nt">&lt;/link&gt;</span>
<span class="linenos">47</span><span class="w">        </span><span class="nt">&lt;width</span><span class="w"> </span><span class="na">sOffset=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">a=</span><span class="s">&quot;3.75&quot;</span><span class="w"> </span><span class="na">b=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">c=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">d=</span><span class="s">&quot;0&quot;</span><span class="nt">/&gt;</span>
<span class="linenos">48</span><span class="w">        </span><span class="nt">&lt;roadMark</span><span class="w"> </span><span class="na">weight=</span><span class="s">&quot;standard&quot;</span><span class="w"> </span><span class="na">sOffset=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">type=</span><span class="s">&quot;solid&quot;</span><span class="w"> </span><span class="na">color=</span><span class="s">&quot;standard&quot;</span><span class="w"> </span><span class="na">width=</span><span class="s">&quot;0.12&quot;</span><span class="w"> </span><span class="na">laneChange=</span><span class="s">&quot;both&quot;</span><span class="nt">/&gt;</span>
<span class="linenos">49</span><span class="w">        </span><span class="nt">&lt;/lane&gt;</span>
<span class="linenos">50</span><span class="w">        </span><span class="nt">&lt;/right&gt;</span>
<span class="linenos">51</span><span class="w">      </span><span class="nt">&lt;/laneSection&gt;</span>
<span class="linenos">52</span><span class="w">    </span><span class="nt">&lt;/lanes&gt;</span>
<span class="linenos">53</span><span class="w">    </span><span class="nt">&lt;objects&gt;</span>
<span class="linenos">54</span><span class="w">      </span><span class="nt">&lt;object</span><span class="w"> </span><span class="na">type=</span><span class="s">&quot;roadMark&quot;</span><span class="w"> </span><span class="na">name=</span><span class="s">&quot;RoadSideMarkerPost&quot;</span><span class="w"> </span><span class="na">id=</span><span class="s">&quot;&quot;</span><span class="w"> </span><span class="na">s=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">t=</span><span class="s">&quot;1&quot;</span><span class="w"> </span><span class="na">zOffset=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">validLength=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">orientation=</span><span class="s">&quot;+&quot;</span><span class="w"> </span><span class="na">length=</span><span class="s">&quot;0.12&quot;</span><span class="w"> </span><span class="na">width=</span><span class="s">&quot;0.12&quot;</span><span class="w"> </span><span class="na">height=</span><span class="s">&quot;1.2&quot;</span><span class="w"> </span><span class="na">hdg=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">pitch=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">roll=</span><span class="s">&quot;0&quot;</span><span class="nt">&gt;</span>
<span class="linenos">55</span><span class="w">        </span><span class="nt">&lt;repeat</span><span class="w"> </span><span class="na">s=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">distance=</span><span class="s">&quot;50&quot;</span><span class="w"> </span><span class="na">length=</span><span class="s">&quot;5139.7188686309819&quot;</span><span class="nt">/&gt;</span>
<span class="linenos">56</span><span class="w">      </span><span class="nt">&lt;/object&gt;</span>
<span class="linenos">57</span><span class="w">      </span><span class="nt">&lt;object</span><span class="w"> </span><span class="na">type=</span><span class="s">&quot;roadMark&quot;</span><span class="w"> </span><span class="na">name=</span><span class="s">&quot;RoadSideMarkerPost&quot;</span><span class="w"> </span><span class="na">id=</span><span class="s">&quot;&quot;</span><span class="w"> </span><span class="na">s=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">t=</span><span class="s">&quot;-8.5&quot;</span><span class="w"> </span><span class="na">zOffset=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">validLength=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">orientation=</span><span class="s">&quot;-&quot;</span><span class="w"> </span><span class="na">length=</span><span class="s">&quot;0.12&quot;</span><span class="w"> </span><span class="na">width=</span><span class="s">&quot;0.12&quot;</span><span class="w"> </span><span class="na">height=</span><span class="s">&quot;1.2&quot;</span><span class="w"> </span><span class="na">hdg=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">pitch=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">roll=</span><span class="s">&quot;0&quot;</span><span class="nt">&gt;</span>
<span class="linenos">58</span><span class="w">        </span><span class="nt">&lt;repeat</span><span class="w"> </span><span class="na">s=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">distance=</span><span class="s">&quot;50&quot;</span><span class="w"> </span><span class="na">length=</span><span class="s">&quot;5139.7188686309819&quot;</span><span class="nt">/&gt;</span>
<span class="linenos">59</span><span class="w">      </span><span class="nt">&lt;/object&gt;</span>
<span class="linenos">60</span><span class="w">      </span><span class="nt">&lt;object</span><span class="w"> </span><span class="na">type=</span><span class="s">&quot;railing&quot;</span><span class="w"> </span><span class="na">name=</span><span class="s">&quot;GuardRail&quot;</span><span class="w"> </span><span class="na">id=</span><span class="s">&quot;&quot;</span><span class="w"> </span><span class="na">s=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">t=</span><span class="s">&quot;0.5&quot;</span><span class="w"> </span><span class="na">zOffset=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">validLength=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">orientation=</span><span class="s">&quot;+&quot;</span><span class="w"> </span><span class="na">length=</span><span class="s">&quot;3.0&quot;</span><span class="w"> </span><span class="na">width=</span><span class="s">&quot;0.25&quot;</span><span class="w"> </span><span class="na">height=</span><span class="s">&quot;0.9&quot;</span><span class="w"> </span><span class="na">hdg=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">pitch=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">roll=</span><span class="s">&quot;0&quot;</span><span class="nt">&gt;</span>
<span class="linenos">61</span><span class="w">        </span><span class="nt">&lt;repeat</span><span class="w"> </span><span class="na">s=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">distance=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">length=</span><span class="s">&quot;5139.7188686309819&quot;</span><span class="nt">/&gt;</span>
<span class="linenos">62</span><span class="w">      </span><span class="nt">&lt;/object&gt;</span>
<span class="linenos">63</span><span class="w">      </span><span class="nt">&lt;object</span><span class="w"> </span><span class="na">type=</span><span class="s">&quot;railing&quot;</span><span class="w"> </span><span class="na">name=</span><span class="s">&quot;GuardRail&quot;</span><span class="w"> </span><span class="na">id=</span><span class="s">&quot;&quot;</span><span class="w"> </span><span class="na">s=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">t=</span><span class="s">&quot;-8&quot;</span><span class="w"> </span><span class="na">zOffset=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">validLength=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">orientation=</span><span class="s">&quot;-&quot;</span><span class="w"> </span><span class="na">length=</span><span class="s">&quot;3.0&quot;</span><span class="w"> </span><span class="na">width=</span><span class="s">&quot;0.25&quot;</span><span class="w"> </span><span class="na">height=</span><span class="s">&quot;0.9&quot;</span><span class="w"> </span><span class="na">hdg=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">pitch=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">roll=</span><span class="s">&quot;0&quot;</span><span class="nt">&gt;</span>
<span class="linenos">64</span><span class="w">        </span><span class="nt">&lt;repeat</span><span class="w"> </span><span class="na">s=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">distance=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">length=</span><span class="s">&quot;5139.7188686309819&quot;</span><span class="nt">/&gt;</span>
<span class="linenos">65</span><span class="w">      </span><span class="nt">&lt;/object&gt;</span>
<span class="linenos">66</span><span class="w">    </span><span class="nt">&lt;/objects&gt;</span>
<span class="linenos">67</span><span class="w">    </span><span class="nt">&lt;signals/&gt;</span>
<span class="linenos">68</span><span class="w">  </span><span class="nt">&lt;/road&gt;</span>
<span class="linenos">69</span><span class="nt">&lt;/OpenDRIVE&gt;</span>
</pre></div>
</div>
</div>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="scenario_api_support.html" class="btn btn-neutral float-left" title="Scenario API Support" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="simulationconfig.html" class="btn btn-neutral float-right" title="SimulationConfig" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2025 openPASS Working Group.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>